summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index dbc40471..f2ec78e2 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1255,7 +1255,7 @@ check_sanity() {
if (( ${#pkgname[@]} > 1 )); then
for pkg in ${pkgname[@]}; do
- if declare -f package_${pkg} >/dev/null; then
+ if ! declare -f package_${pkg} >/dev/null; then
error "$(gettext "missing package function for split package '%s'")" "$pkg"
return 1
fi